LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XRubySelection Interface Referencepublished

This interface enables the object to handle list of ruby lines (aka Furigana lines). More...

`import"XRubySelection.idl";`

Inheritance diagram for XRubySelection:

## Public Member Functions
sequence< com::sun::star::beans::PropertyValues > | getRubyList ([in] boolean Automatic)
| returns a sequence of ruby elements. More...
void | setRubyList ([in] sequence< com::sun::star::beans::PropertyValues > RubyList, [in] boolean Automatic)
| applies the RubyList to the current selection. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

This interface enables the object to handle list of ruby lines (aka Furigana lines).

Developers Guide
  Text Documents - Ruby

## Member Function Documentation

## ◆ getRubyList()

sequence< com::sun::star::beans::PropertyValues > getRubyList | ( | [in] boolean | Automatic | ) |

returns a sequence of ruby elements.

Each element contains at least a string that contains the selected text and the ruby text. Additional parameters can be the ruby adjustment, the name of a character style.

Returns
  a sequence of ruby properties

Parameters

  Automatic | if Automatic is set the selection is parsed for words and applied ruby attributes

## ◆ setRubyList()

void setRubyList | ( | [in] sequence< com::sun::star::beans::PropertyValues > | RubyList,
|  | [in] boolean | Automatic
| ) |  |

applies the RubyList to the current selection.

The number of elements must be equal to the number of elements that are returned by getRubyList. Automatic must be set equally, too.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XRubySelection.idl